Bug 420811 - openjpeg erroneously reports a successful decode
openjpeg erroneously reports a successful decode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openjpeg (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Callum Lerwick
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 20:08 EST by Bryan O'Sullivan
Modified: 2007-12-15 12:50 EST (History)
0 users

See Also:
Fixed In Version: 1.2-4.20071211svn484.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 12:48:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2007-12-11 20:08:41 EST
Description of problem:

I'm trying to build a standalone Second Life viewer against current F8 openjpeg,
and it always crashes during startup.  The problem is that opj_decode returns a
valid image pointer, but the data pointers in the comps fields are all
unexpectedly NULL.

Version-Release number of selected component (if applicable):

openjpeg-1.2-3.20071114svn480.fc8.x86_64

Additional information:

(gdb) bt
#0  0x00000000019b5c20 in LLImageJ2COJ::decodeImpl (this=0x2aaab8002d60, 
    base=@0x2aaab8002f60, raw_image=@0x3a7cc40, decode_time=0.100000001, 
    first_channel=0, max_channel_count=4)
    at /home/bos/svn/linden/cmake/indra/llimagej2coj/llimagej2coj.cpp:191
#1  0x00000000019a9a6b in LLImageJ2C::decode (this=0x2aaab8002f60, 
    raw_imagep=0x3a7cc40, decode_time=0.100000001, first_channel=0, 
    max_channel_count=4)
    at /home/bos/svn/linden/cmake/indra/llimage/llimagej2c.cpp:274
#2  0x00000000019a8ba9 in LLImageJ2C::decode (this=0x2aaab8002f60, 
    raw_imagep=0x3a7cc40, decode_time=0.100000001)
    at /home/bos/svn/linden/cmake/indra/llimage/llimagej2c.cpp:253
#3  0x00000000019b27cd in LLImageWorker::doWork (this=0x2aaab8002ff0, param=0)
    at /home/bos/svn/linden/cmake/indra/llimage/llimageworker.cpp:113
#4  0x0000000001cdf07f in LLWorkerThread::WorkRequest::processRequest (
    this=0x2aaab8002eb0)
    at /home/bos/svn/linden/cmake/indra/llcommon/llworkerthread.cpp:166
#5  0x0000000001cb3120 in LLQueuedThread::processNextRequest (this=0x3582ff0)
    at /home/bos/svn/linden/cmake/indra/llcommon/llqueuedthread.cpp:422
#6  0x0000000001cb3284 in LLQueuedThread::run (this=0x3582ff0)
    at /home/bos/svn/linden/cmake/indra/llcommon/llqueuedthread.cpp:494
#7  0x0000000001cd6666 in LLThread::staticRun (apr_threadp=0x35841e0, 
    datap=0x3582ff0)
    at /home/bos/svn/linden/cmake/indra/llcommon/llthread.cpp:73
#8  0x0000003599206407 in start_thread () from /lib64/libpthread.so.0
#9  0x00000035986d4b0d in clone () from /lib64/libc.so.6
(gdb) p image
$4 = (opj_image_t *) 0x3a7cea0
(gdb) p *image
$5 = {x0 = 0, y0 = 0, x1 = 1024, y1 = 1024, numcomps = 3, color_space = 0, 
  comps = 0x3a7efd0}
(gdb) p image.comps[0]
$6 = {dx = 1, dy = 1, w = 32, h = 32, x0 = 0, y0 = 0, prec = 8, bpp = 0, 
  sgnd = 0, resno_decoded = 0, factor = 5, data = 0x0}
(gdb) p image.comps[1]
$7 = {dx = 1, dy = 1, w = 32, h = 32, x0 = 0, y0 = 0, prec = 8, bpp = 0, 
  sgnd = 0, resno_decoded = 5, factor = 5, data = 0x0}
(gdb) p image.comps[2]
$8 = {dx = 1, dy = 1, w = 32, h = 32, x0 = 0, y0 = 0, prec = 8, bpp = 0, 
  sgnd = 0, resno_decoded = 5, factor = 5, data = 0x0}
Comment 1 Callum Lerwick 2007-12-11 21:01:40 EST
See:

http://jira.secondlife.com/browse/VWR-3206

I'm working on pushing a new snapshot with the fix right this very moment.
Comment 2 Fedora Update System 2007-12-12 14:58:41 EST
openjpeg-1.2-4.20071211svn484.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openjpeg'
Comment 3 Fedora Update System 2007-12-12 14:59:25 EST
openjpeg-1.2-4.20071211svn484.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openjpeg'
Comment 4 Fedora Update System 2007-12-15 12:48:07 EST
openjpeg-1.2-4.20071211svn484.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-12-15 12:50:23 EST
openjpeg-1.2-4.20071211svn484.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.